summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2015-10-29 00:10:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-29 19:37:21 +0700
commit9e490a336bde43bf6727d1f6f344c226c7b7e81b (patch)
tree052b82b66e328bd4139efd92374d4d3a0d8fa160 /development
parentab908d38b2c40c478b3e071e4142ba7e7500af56 (diff)
downloadslackbuilds-9e490a336bde43bf6727d1f6f344c226c7b7e81b.tar.gz
slackbuilds-9e490a336bde43bf6727d1f6f344c226c7b7e81b.tar.xz
development/jsmin: Added (The JavaScript Minifier).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/jsmin/README6
-rw-r--r--development/jsmin/jsmin.SlackBuild73
-rw-r--r--development/jsmin/jsmin.info10
-rw-r--r--development/jsmin/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/development/jsmin/README b/development/jsmin/README
new file mode 100644
index 0000000000..0fb3858bb2
--- /dev/null
+++ b/development/jsmin/README
@@ -0,0 +1,6 @@
+JSMin, The JavaScript Minifier
+
+JSMin is a filter that removes comments and unnecessary whitespace from
+JavaScript files. It typically reduces filesize by half, resulting in faster
+downloads. It also encourages a more expressive programming style because it
+eliminates the download cost of clean, literate self-documentation.
diff --git a/development/jsmin/jsmin.SlackBuild b/development/jsmin/jsmin.SlackBuild
new file mode 100644
index 0000000000..3f4fcef980
--- /dev/null
+++ b/development/jsmin/jsmin.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for jsmin
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <https://www.gnu.org/licenses/>.
+
+PRGNAM=jsmin
+SRCNAM=JSMin
+VERSION=${VERSION:-20130329}
+SRCVERSION=${SRCVERSION:-1bf6ce5f74a9f8752ac7f5d115b8d7ccb31cfe1b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVERSION
+tar xvf $CWD/$SRCNAM-$SRCVERSION.tar.gz || tar xvf $CWD/$SRCVERSION.tar.gz
+cd $SRCNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin/
+gcc $PRGNAM.c -o $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/jsmin/jsmin.info b/development/jsmin/jsmin.info
new file mode 100644
index 0000000000..0061ca1bfb
--- /dev/null
+++ b/development/jsmin/jsmin.info
@@ -0,0 +1,10 @@
+PRGNAM="jsmin"
+VERSION="20130329"
+HOMEPAGE="http://www.crockford.com/javascript/jsmin.html"
+DOWNLOAD="https://github.com/douglascrockford/JSMin/archive/1bf6ce5f74a9f8752ac7f5d115b8d7ccb31cfe1b.tar.gz"
+MD5SUM="b7036954ad6fc5662052fd77eebcb323"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/development/jsmin/slack-desc b/development/jsmin/slack-desc
new file mode 100644
index 0000000000..5b3234497b
--- /dev/null
+++ b/development/jsmin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jsmin: jsmin (The JavaScript Minifier)
+jsmin:
+jsmin: JSMin is a filter which removes comments and unnecessary whitespace
+jsmin: from JavaScript files. It typically reduces filesize by half,
+jsmin: resulting in faster downloads. It also encourages a more expressive
+jsmin: programming style because it eliminates the download cost of clean,
+jsmin: literate self-documentation.
+jsmin:
+jsmin:
+jsmin: http://www.crockford.com/javascript/jsmin.html
+jsmin: